| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Static Private Attributes | List of all members
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase Class Reference
Inheritance diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]
Collaboration diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]

## Public Member Functions
def | __init__ (self, path, mode='R')
def | __eq__ (self, other)
def | __ne__ (self, other)
def | __str__ (self)
def | __repr__ (self)
def | toStringProperty (self)
def | __add__ (self, other)
def | __radd__ (self, other)
def | __iadd__ (self, other)
def | mode (self)

## Public Attributes
| Path
| Mode

## Static Private Attributes
tuple | __slots__ = ('Path', 'Mode')

## Detailed Description

Definition at line 6 of file DataObjectHandleBase.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__ | ( |  | self,
|  |  | path,
|  |  | mode = `'R'`
| ) |  |

Definition at line 12 of file DataObjectHandleBase.py.

12 def __init__(self, path, mode='R'):
13 object.__init__(self)
14 self.Path = path
15 self.Mode = mode
16

## Member Function Documentation

## ◆ __add__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__add__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 45 of file DataObjectHandleBase.py.

45 def __add__(self, other):
46 path = ':'.join(i + other for i in self.Path.split(':'))
47 return DataObjectHandleBase(path, self.Mode)
48
DataObjectHandleBase
DataObjectHandleBase GaudiKernel/DataObjectHandleBase.h.
Definition: DataObjectHandleBase.h:26

## ◆ __eq__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__eq__ | ( |  | self,
|  |  | other
| ) |  |

    Need especially Configurable.isPropertySet when checked against default.

Definition at line 17 of file DataObjectHandleBase.py.

17 def __eq__(self, other):
18 """
19 Need especially Configurable.isPropertySet when checked against default.
20 """
21 if isinstance(other, DataObjectHandleBase):
22 return self.Path == other.Path
23 if isinstance(other, basestring):
24 return self.Path == other
25 if other is None:
26 return False
27 raise ValueError(
28 'Unknown equality check: type=%r, repr=%r' % (type(other), other))
29
gaudirun.type
type
Definition: gaudirun.py:142

## ◆ __iadd__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__iadd__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 53 of file DataObjectHandleBase.py.

53 def __iadd__(self, other):
54 self.Path = ':'.join(i + other for i in self.Path.split(':'))
55 return self
56

## ◆ __ne__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__ne__ | ( |  | self,
|  |  | other
| ) |  |

    This is mandatory if __eq__ is defined.

Definition at line 30 of file DataObjectHandleBase.py.

30 def __ne__(self, other):
31 """
32 This is mandatory if __eq__ is defined.
33 """
34 return not self == other
35

## ◆ __radd__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__radd__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 49 of file DataObjectHandleBase.py.

49 def __radd__(self, other):
50 path = ':'.join(other + i for i in self.Path.split(':'))
51 return DataObjectHandleBase(path, self.Mode)
52
DataObjectHandleBase
DataObjectHandleBase GaudiKernel/DataObjectHandleBase.h.
Definition: DataObjectHandleBase.h:26

## ◆ __repr__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__ | ( |  | self | ) |

Definition at line 39 of file DataObjectHandleBase.py.

39 def __repr__(self):
40 return "%s(\"%s\")" % (self.__class__.__name__, self.__str__())
41
GaudiPython.HistoUtils.__repr__
__repr__
Definition: HistoUtils.py:508

## ◆ __str__()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__ | ( |  | self | ) |

Definition at line 36 of file DataObjectHandleBase.py.

36 def __str__(self):
37 return self.Path
38
GaudiPython.HistoUtils.__str__
__str__
Definition: HistoUtils.py:510

## ◆ mode()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.mode | ( |  | self | ) |

Definition at line 57 of file DataObjectHandleBase.py.

57 def mode(self):
58 return self.Mode

## ◆ toStringProperty()

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty | ( |  | self | ) |

Definition at line 42 of file DataObjectHandleBase.py.

42 def toStringProperty(self):
43 return self.__str__()
44

## Member Data Documentation

## ◆ __slots__

tuple GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__slots__ = ('Path', 'Mode')
| static private

Definition at line 8 of file DataObjectHandleBase.py.

## ◆ Mode

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Mode

Definition at line 15 of file DataObjectHandleBase.py.

## ◆ Path

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path

Definition at line 14 of file DataObjectHandleBase.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/DataObjectHandleBase.py